Package de.willuhn.jameica.hbci

# Enum Class MetaKey

java.lang.Object
java.lang.Enum<MetaKey>
de.willuhn.jameica.hbci.MetaKey

All Implemented Interfaces:
  `Serializable`, `Comparable<MetaKey>`, `Constable`

public enum MetaKey extends Enum<MetaKey>
Listet bekannte Meta-Keys, die zu Fachobjekten gespeichert werden koennen.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDRESS_ID`
`DUPLICATE_ID`
ID der Duplizierungsvorlage.
`KONTOAUSZUG_IGNORE_FORMAT`
Soll das Abrufen der Kontoauszuege auch dann erlaubt werden, wenn PDF nicht unterstuetzt wird?
`KONTOAUSZUG_INTERVAL`
Abruf-Intervall fuer die Kontoauszuege im PDF-Format.
`KONTOAUSZUG_INTERVAL_LAST`
Datum des letzten Abrufs der Kontoauszuege im PDF-Format.
`KONTOAUSZUG_MARK_READ`
Sollen Kontoauszuege beim Abruf sofort als gelesen markiert werden?
`KONTOAUSZUG_SEND_RECEIPT`
Sollen die Empfangsquittungen automatisch gesendet werden?
`KONTOAUSZUG_STORE_MESSAGING`
True, wenn die Kontoauszuege per Messaging-Plugin gespeichert werden sollen.
`KONTOAUSZUG_STORE_PATH`
Ordner, in dem die Kontoauszuege erstellt werden sollen.
`KONTOAUSZUG_TEMPLATE_NAME`
Template fuer den Dateinamen.
`KONTOAUSZUG_TEMPLATE_PATH`
Template fuer den Unter-Ordner.
`REMINDER_CREATOR`
`REMINDER_TEMPLATE`
`REMINDER_UUID`
`SEPA_BATCHBOOK`
Batch-Book-Flag.
`SEPA_CREDITOR_ID`
Gläubiger-Identifikation.
`SEPA_MANDATE_ID`
SEPA-Mandatsreferenz.
`SEPA_MANDATE_SIGDATE`
Signatur-Datum des Mandats.
`SEPA_SEQUENCE_CODE`
SEPA-Lastschrift Sequenz-Typ.
`TAN_CANCEL`
TAN-Eingabe abgebrochen
`UEBERWEISUNG_TYP`
Vorauswahl des Auftragstyps.
`UEBERWEISUNG_TYP_SAVE`
True, wenn die Vorauswahl des Auftragstyps im Konto gespeichert werden soll.
`UMSATZ_CAMT`
Legt fest, ob CAMT fuer den Umsatz-Abruf verwendet werden soll.

## Method Summary

Modifier and Type
Method
Description
`String`
`get(HibiscusDBObject o)`
Liefert den Wert des Meta-Keys fuer das Objekt.
`String`
`get(HibiscusDBObject o, String suffix)`
Liefert den Wert des Meta-Keys fuer das Objekt.
`String`
`getDefault()`
Liefert den Default-Wert.
`String`
`getDescription()`
Liefert einen optionalen Beschreibungstext zu dem Meta-Key.
`String`
`getName()`
Liefert den Namen des Meta-Keys.
`void`
`set(HibiscusDBObject o, String value)`
Speichert den Wert des Meta-Keys fuer das Objekt.
`void`
`set(HibiscusDBObject o, String suffix, String value)`
Speichert den Wert des Meta-Keys fuer das Objekt.
`static MetaKey`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MetaKey[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REMINDER_UUID

public static final MetaKey REMINDER_UUID

### REMINDER_TEMPLATE

public static final MetaKey REMINDER_TEMPLATE

### REMINDER_CREATOR

public static final MetaKey REMINDER_CREATOR

### ADDRESS_ID

public static final MetaKey ADDRESS_ID

### SEPA_MANDATE_ID

public static final MetaKey SEPA_MANDATE_ID
SEPA-Mandatsreferenz.

### SEPA_MANDATE_SIGDATE

public static final MetaKey SEPA_MANDATE_SIGDATE
Signatur-Datum des Mandats.

### SEPA_SEQUENCE_CODE

public static final MetaKey SEPA_SEQUENCE_CODE
SEPA-Lastschrift Sequenz-Typ.

### SEPA_CREDITOR_ID

public static final MetaKey SEPA_CREDITOR_ID
Gläubiger-Identifikation.

### SEPA_BATCHBOOK

public static final MetaKey SEPA_BATCHBOOK
Batch-Book-Flag.

### KONTOAUSZUG_IGNORE_FORMAT

public static final MetaKey KONTOAUSZUG_IGNORE_FORMAT
Soll das Abrufen der Kontoauszuege auch dann erlaubt werden, wenn PDF nicht unterstuetzt wird?

### KONTOAUSZUG_MARK_READ

public static final MetaKey KONTOAUSZUG_MARK_READ
Sollen Kontoauszuege beim Abruf sofort als gelesen markiert werden?

### KONTOAUSZUG_SEND_RECEIPT

public static final MetaKey KONTOAUSZUG_SEND_RECEIPT
Sollen die Empfangsquittungen automatisch gesendet werden?

### KONTOAUSZUG_INTERVAL

public static final MetaKey KONTOAUSZUG_INTERVAL
Abruf-Intervall fuer die Kontoauszuege im PDF-Format.

### KONTOAUSZUG_INTERVAL_LAST

public static final MetaKey KONTOAUSZUG_INTERVAL_LAST
Datum des letzten Abrufs der Kontoauszuege im PDF-Format.

### KONTOAUSZUG_STORE_MESSAGING

public static final MetaKey KONTOAUSZUG_STORE_MESSAGING
True, wenn die Kontoauszuege per Messaging-Plugin gespeichert werden sollen.

### KONTOAUSZUG_STORE_PATH

public static final MetaKey KONTOAUSZUG_STORE_PATH
Ordner, in dem die Kontoauszuege erstellt werden sollen.

### KONTOAUSZUG_TEMPLATE_PATH

public static final MetaKey KONTOAUSZUG_TEMPLATE_PATH
Template fuer den Unter-Ordner.

### KONTOAUSZUG_TEMPLATE_NAME

public static final MetaKey KONTOAUSZUG_TEMPLATE_NAME
Template fuer den Dateinamen.

### UMSATZ_CAMT

public static final MetaKey UMSATZ_CAMT
Legt fest, ob CAMT fuer den Umsatz-Abruf verwendet werden soll.

### TAN_CANCEL

public static final MetaKey TAN_CANCEL
TAN-Eingabe abgebrochen

### DUPLICATE_ID

public static final MetaKey DUPLICATE_ID
ID der Duplizierungsvorlage.

### UEBERWEISUNG_TYP_SAVE

public static final MetaKey UEBERWEISUNG_TYP_SAVE
True, wenn die Vorauswahl des Auftragstyps im Konto gespeichert werden soll.

### UEBERWEISUNG_TYP

public static final MetaKey UEBERWEISUNG_TYP
Vorauswahl des Auftragstyps.

## Method Details

### values

public static MetaKey[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MetaKey valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Liefert den Namen des Meta-Keys.

Returns:
  der Name des Meta-Keys.

### getDescription

public String getDescription()
Liefert einen optionalen Beschreibungstext zu dem Meta-Key.

Returns:
  optionaler Beschreibungstext zu dem Meta-Key.

### getDefault

public String getDefault()
Liefert den Default-Wert.

Returns:
  der Default-Wert.

### get

public String get(HibiscusDBObject o) throws RemoteException
Liefert den Wert des Meta-Keys fuer das Objekt.

Parameters:
  `o` - das Objekt.
Returns:
  der Wert des Meta-Keys oder der Default-Wert, wenn kein Wert existiert.
Throws:
  `RemoteException`

### set

public void set(HibiscusDBObject o, String value) throws RemoteException
Speichert den Wert des Meta-Keys fuer das Objekt.

Parameters:
  `o` - das Objekt.
  `value` - der Wert des Meta-Keys.
Throws:
  `RemoteException`

### get

public String get(HibiscusDBObject o, String suffix) throws RemoteException
Liefert den Wert des Meta-Keys fuer das Objekt.

Parameters:
  `o` - das Objekt.
  `suffix` - optionaler Suffix, um verschiedene Varianten des Meta-Key verwenden zu koennen.
Returns:
  der Wert des Meta-Keys oder der Default-Wert, wenn kein Wert existiert.
Throws:
  `RemoteException`

### set

public void set(HibiscusDBObject o, String suffix, String value) throws RemoteException
Speichert den Wert des Meta-Keys fuer das Objekt.

Parameters:
  `o` - das Objekt.
  `suffix` - optionaler Suffix, um verschiedene Varianten des Meta-Key verwenden zu koennen.
  `value` - der Wert des Meta-Keys.
Throws:
  `RemoteException`